aboutsummaryrefslogtreecommitdiff
path: root/package/gdk-pixbuf
diff options
context:
space:
mode:
authorGravatar Lionel Landwerlin <llandwerlin@gmail.com>2010-11-04 09:18:57 +0100
committerGravatar Peter Korsgaard <jacmet@sunsite.dk>2010-11-05 10:07:26 +0100
commit4411017f86a54c4c8007eaf2458a85dc0510c624 (patch)
treed370b97960dd24a13c2e0091b7e7041315256130 /package/gdk-pixbuf
parent89d1ad91fe4b1b65f0e902f94aba99a6cefbf631 (diff)
downloadbuildroot-4411017f86a54c4c8007eaf2458a85dc0510c624.tar.gz
buildroot-4411017f86a54c4c8007eaf2458a85dc0510c624.tar.bz2
gdk-pixbuf/libgtk2: move gdk-pixbuf loader cache setup script
Signed-off-by: Lionel Landwerlin <llandwerlin@gmail.com> Acked-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com> Signed-off-by: Peter Korsgaard <jacmet@sunsite.dk>
Diffstat (limited to 'package/gdk-pixbuf')
-rw-r--r--package/gdk-pixbuf/S26gdk-pixbuf19
-rw-r--r--package/gdk-pixbuf/gdk-pixbuf.mk6
2 files changed, 25 insertions, 0 deletions
diff --git a/package/gdk-pixbuf/S26gdk-pixbuf b/package/gdk-pixbuf/S26gdk-pixbuf
new file mode 100644
index 0000000000..82b7944e74
--- /dev/null
+++ b/package/gdk-pixbuf/S26gdk-pixbuf
@@ -0,0 +1,19 @@
+#!/bin/sh
+#
+# run gdk-pixbuf-query-loaders if needed
+
+FILE=/usr/lib/gdk-pixbuf-2.0/2.10.0/loaders.cache
+
+case "$1" in
+ start|"")
+ if [ ! -f "$FILE" ] ; then
+ /usr/bin/gdk-pixbuf-query-loaders --update-cache
+ fi
+ ;;
+ stop)
+ ;;
+ *)
+ echo "Usage: $0 {start|stop}" >&2
+ exit 1
+ ;;
+esac
diff --git a/package/gdk-pixbuf/gdk-pixbuf.mk b/package/gdk-pixbuf/gdk-pixbuf.mk
index 4c3e108a07..f762095781 100644
--- a/package/gdk-pixbuf/gdk-pixbuf.mk
+++ b/package/gdk-pixbuf/gdk-pixbuf.mk
@@ -40,6 +40,12 @@ endif
GDK_PIXBUF_DEPENDENCIES += $(if $(BR2_NEEDS_GETTEXT_IF_LOCALE),gettext libintl) host-pkg-config libglib2 libiconv
+define GDK_PIXBUF_POST_INSTALL_TWEAKS
+ $(INSTALL) -m 755 package/gdk-pixbuf/S26gdk-pixbuf $(TARGET_DIR)/etc/init.d/
+endef
+
+GDK_PIXBUF_POST_INSTALL_TARGET_HOOKS += GDK_PIXBUF_POST_INSTALL_TWEAKS
+
$(eval $(call AUTOTARGETS,package,gdk-pixbuf))
HOST_GDK_PIXBUF_CONF_OPT = \